unit fxEdit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  TfrmDebugEdit = class(TForm)
    Panel1: TPanel;
    mm: TMemo;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDebugEdit: TfrmDebugEdit;

Function DebugEditText(aText:String):String;

implementation

{$R *.dfm}
Function DebugEditText(aText:String):String;
begin
  Result := aText;
  if not Assigned(frmDebugEdit) then
    Application.CreateForm(TfrmDebugEdit,frmDebugEdit);

  frmDebugEdit.mm.Text := aText;

  if frmDebugEdit.ShowModal = mrOK then
    Result := frmDebugEdit.mm.Text;

end;

end.
